;===========================================================================
;Leonardo
;by Acey
;===========================================================================

;---------------------------------------------------------------------------
;Commands
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
;Hyper1

[Command]
name = "Hyper1"
command = ~D, DF, F, x+y

[Command]
name = "Hyper1"
command = ~D, DF, F, x+z

[Command]
name = "Hyper1"
command = ~D, DF, F, y+z

;---------------------------------------------------------------------------
;Hyper2

[Command]
name = "Hyper2"
command = ~D, DB, B, x+y

[Command]
name = "Hyper2"
command = ~D, DB, B, x+z

[Command]
name = "Hyper2"
command = ~D, DB, B, y+z

;---------------------------------------------------------------------------
;Hyper3

[Command]
name = "Hyper3"
command = ~D, DB, B, a+b

[Command]
name = "Hyper3"
command = ~D, DB, B, b+c

[Command]
name = "Hyper3"
command = ~D, DB, B, a+c


;---------------------------------------------------------------------------
;Hyper4

[Command]
name = "Hyper4"
command = ~D, DF, F, a+b

[Command]
name = "Hyper4"
command = ~D, DF, F, b+c

[Command]
name = "Hyper4"
command = ~D, DF, F, a+c


;---------------------------------------------------------------------------
;Katana Slash

[Command]
name = "QCFx"
command = ~D,DF,F, x

[Command]
name = "QCFy"
command = ~D,DF,F, y

[Command]
name = "QCFz"
command = ~D,DF,F, z

;---------------------------------------------------------------------------
;Special 2

[Command]
name = "QCBx"
command = ~D,DB,B, x

[Command]
name = "QCBy"
command = ~D,DB,B, y

[Command]
name = "QCBz"
command = ~D,DB,B, z

;---------------------------------------------------------------------------
;Uppercut

[Command]
name = "DPx"
command = ~F,D,DF, x

[Command]
name = "DPx"
command = ~F,D,DF, y

[Command]
name = "DPx"
command = ~F,D,DF, z

;-------------------------------------------------------------------------
;Special 3

[Command]
name = "QCFa"
command = ~D,DF,F, a

[Command]
name = "QCFb"
command = ~D,DF,F,b

[Command]
name = "QCFc"
command = ~D,DF,F,c

;-------------------------------------------------------------------------
;Special 4

[Command]
name = "QCBa"
command = ~D,DB,B, a

[Command]
name = "QCBa"
command = ~D,DB,B,b

[Command]
name = "QCBa"
command = ~D,DB,B,c

;---------------------------------------------------------------------------------------------
;Super Jump

[Command]
name = "Super_Jump"
command = ~D, U

;---------------------------------------------------------------------------------------------
;Double_Tap
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;---------------------------------------------------------------------------------------------
;2/3 button combination
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

[Command]
name = "guardpush"
command = x+y
time = 5

[Command]
name = "guardpush"
command = x+z
time = 5

[Command]
name = "guardpush"
command = y+z
time = 5

;---------------------------------------------------------------------------------------------
;Dir + button
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "fwd_z"
command = /$F,z
time = 1

[Command]
name = "fwd_a"
command = /$F,a
time = 1

[Command]
name = "fwd_b"
command = /$F,b
time = 1

[Command]
name = "fwd_c"
command = /$F,c
time = 1

[Command]
name = "back_b"        ;Alternative button command
command = /$B,b
time = 1

[Command]
name = "back_c"        ;Alternative button command
command = /$B,c
time = 1

;---------------------------------------------------------------------------------------------
;One button
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;---------------------------------------------------------------------------------------------
;Hold button
[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

[Command]
name = "holdz"
command = /z
time = 1

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "pc1"
command = b+y

[Command]
name = "ki"
command = /b+y

;---------------------------------------------------------------------------------------------
;Hold dir
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "SJ"
command = $D, $U

;---------------------------------------------------------
;Artificial Intelligence
;---------------------------------------------------------

[Statedef -1]

[State -1, AI Activation]
type = varset
triggerall = AILevel > 2
triggerall = (roundstate = 2) && (var(59) = 0)
trigger1 = Random <= ((AILevel-2)*100)
v = 59
value = 1

[State -1, AI Deactivation]
type = varset
triggerall = AIlevel < 7
triggerall = var(59) = 1
trigger1 = Random > ((AILevel-2)*100)
trigger2 = roundstate != 2
v = 59
value = 0

;--|AI|-----------------------------------------------------------

[State -1, Trip (OTG)]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = Ctrl && (statetype != A)
triggerall = AILevel > 3
trigger1 = p2dist x < 150
trigger1 = p2stateno = 5310
trigger2 = p2stateno = 5110
trigger2 = var(14) = 0
value = 450

[State -1, AI Guarding, Easy/Medium AI]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel <=5
triggerall = Ctrl && (p2movetype = A) && (statetype = S)
trigger1 = (p2bodydist x <= 250) && (random = [200,899]) && (vel x < 0)
trigger2 = (p2bodydist x <= 250) && (random = [800,899]) && (vel x > 0)
trigger3 = (p2bodydist x <= 250) && (random = [400,899]) && (vel x = 0)
trigger4 = (anim = 21)
trigger5 = (prevstateno > 5000) && (random < 200)
value = 130

[State -1, AI Guarding, Easy/Medium AI]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel <=5
triggerall = Ctrl && (p2movetype = A) && (statetype = C)
trigger1 = (p2bodydist x <= 250) && (random = [500,899])
trigger2 = (prevstateno > 5000) && (random < 200)
value = 131

[State -1, AI Guarding, Easy/Medium AI]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel <=5
triggerall = Ctrl && (p2movetype = A) && (statetype = A)
trigger1 = (p2bodydist x <= 250) && (random = [700,899])
trigger2 = (anim = 43) || (anim = 46)
trigger3 = (prevstateno > 5000) && (random < 200)
value = 132

[State -1, AI Guarding, Hard AI]
type = ChangeState
triggerall = (var(59) != 0) && Numenemy && (stateno != [120,155])
triggerall = AILevel > 5
triggerall = Random <= (AILevel * 10)
triggerall =!(enemynear,hitdefattr=SCA,AT)
triggerall = inguarddist
trigger1 = Ctrl
value = 120

[State -1, AI Guard Push (Standing)]
type = ChangeState
triggerall = Var(59)
triggerall = AILevel >= 4
triggerall = p2bodydist x =[0,40]
triggerall = StateType = S
trigger1 = StateNo = [150,153]
trigger1 = Time >= 5
trigger1 = random < 100+300*(BackEdgeDist < 30)
value = 6300

[State -1, AI Guard Push (Crouching)]
type = ChangeState
triggerall = Var(59)
triggerall = AILevel >= 5
triggerall = p2bodydist x =[0,40]
triggerall = StateType = C
trigger1 = StateNo = [150,153]
trigger1 = Time >= 5
trigger1 = random < 500+300*(BackEdgeDist < 30)
value = 6310

[State -1, AI Guard Push (Air)]
type = ChangeState
triggerall = Var(59)
triggerall = AILevel >= 6
triggerall = p2bodydist x =[0,40]
triggerall = StateType = A
trigger1 = StateNo = [154,155]
trigger1 = Time >= 5
trigger1 = random < 500+300*(BackEdgeDist < 30)
value = 6320

[State -1, AI Recovery Roll Forward after KnockDown]
type = ChangeState
triggerall = Var(59)
triggerall = AILevel >= 3
triggerall = stateno = 5120
trigger1 = p2bodydist x <= 75
trigger1 = Random < 100+500*(BackEdgeDist < 30)
trigger1 = Time >= 1
value = 850

[State -1, AI Recovery Roll Backwards after KnockDown]
type = ChangeState
triggerall = Var(59)
triggerall = AILevel >= 3
triggerall = stateno = 5120
trigger1 = p2bodydist x > 75
trigger1 = Random < 100+500*(BackEdgeDist < 30)
trigger1 = Time >= 1
value = 855

[State -1, Running/Dashing Forward]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >= 2
triggerall = Ctrl && (statetype = S)
triggerall = p2stateno != [120,155]
trigger1 = (p2bodydist x >= 100) && (random > 900)
trigger2 = (p2bodydist x >= 100) && (P2stateno = 5310)
value = 100

;--------------------------------------------------------
[State -1, Perfect Combo]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = Ctrl && (statetype = S)
triggerall = (p2statetype = S) && (p2stateno != [5100,5150])
trigger1 = (p2bodydist x <= 20)
value = 8000

;---------------------------------------------------------
[State -1, Standing Chain End 1 (Finish Combo)]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >= 3
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = (stateno = 220) && movecontact && random = [501,550]
value = 230

[State -1, Standing Chain End 1 (Finish Combo)]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >= 3
trigger1 = (stateno = 240) && movecontact && random = [551,600]
value = 220

;Start Standing Chain Combo
[State -1, Standing Chain Combo]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = (stateno = 210) && movecontact
value = 240

[State -1, Standing Chain Combo]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = (stateno = 230) && movecontact
value = 210

[State -1, Standing Chain Combo]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >= 3
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = (stateno = 200) && movecontact
value = 230

[State -1, Standing Chain Combo]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = stateno != [8000,8050] ;auto combo
triggerall = Ctrl && (statetype = S)
triggerall = (p2stateno != [120,155]) && (p2stateno != [5100,5150])
trigger1 = (p2bodydist x <= 40) && (random > 900)
trigger2 = (anim = 1601)&&(var(14)<2) ;Off of Shadow Thrust Extender
trigger3 = (stateno = [1700,1720]) && (movecontact)&&(var(15)<2) ;Off of Shadow Kick Extender
value = 200
;End Standing Chain

;Start Crouching Chain
[State -1, Crouching Chain Combo Launcher]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0) && (statetype !=A)
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = AILevel >= 4
trigger1 = (stateno = 440) && movecontact
trigger2 = Ctrl && prevstateno = 450 && p2stateno = [5050,5080] ;Launch off of trip
value = 420

[State -1, Crouching Chain Combo]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0) && (statetype !=A)
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = AILevel >= 4
trigger1 = (stateno = 410) && movecontact
trigger2 = AILevel < 3
trigger2 = (stateno = 430) && movecontact
trigger3 = (AILevel >= 6) && (var(13) = 1) && (stateno != 440)
trigger3 = p2stateno = 5110 && (p2bodydist x <= 85)
value = 440

[State -1, Crouching Chain Combo]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0) && (statetype !=A)
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = AILevel >= 4
trigger1 = (stateno = 430) && movecontact
value = 410

[State -1, Alternate start for Easy AI]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = AILevel >= 4
trigger1 = (stateno = 400) && movecontact
trigger2 = AILevel < 3
trigger2 = Ctrl && (statetype = S)
trigger2 = (p2stateno != [120,155]) && (p2stateno != [5100,5150])
trigger2 = (p2bodydist x <= 40) && (random < 50) && Ctrl
value = 430

[State -1, Combo start for Med/Hard AI]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = stateno != [8000,8050] ;auto combo
triggerall = Ctrl = 1 && (statetype = S)
triggerall = (p2stateno != [120,155]) && (p2stateno != [5100,5150])
trigger1 = (p2bodydist x <= 40) && p2movetype != H && (random < 100)
value = 400
;End Crouching Chain

[State -1,  Always superjump on launch]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >= 3
triggerall = stateno != [8000,8050] ;auto combo
triggerall = (random <= 900)
trigger1 = (stateno = 420) && movecontact
value = 7500

;Start Air Chain
[State -1, Air Chain Combo]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >= 5
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = (stateno = 640) && movecontact && (random = [0,500])
value = 650

[State -1, Air Chain Combo]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >= 5
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = (stateno = 640) && movecontact && (random = [501,999])
value = 620

[State -1, Air Chain Combo]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >= 5
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = (stateno = 610) && movecontact
value = 640

[State -1, Air Chain Combo]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >= 4
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = (stateno = 600) && movecontact
value = 610

[State -1, Air Chain Combo]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >= 3
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = (stateno = 600) && movecontact
value = 630

[State -1, Air Chain Combo]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = Ctrl && (statetype = A)
triggerall = prevstateno != 600
triggerall = stateno != [8000,8050] ;auto combo
trigger1 = (p2bodydist x <= 25) && (random <= 150)
trigger2 = (p2bodydist x <= 25) && (random <= 750) && (stateno = [7000,7100])
value = 600
;End Air Chain

[State -1, Katana Slice Hard]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >= 3
triggerall = stateno != [8000,8050] ;auto combo
triggerall = var(15) < 2
triggerall = Ctrl && (Statetype = S) && (random >=(500)) && (random <(AILevel*8) + 500)
triggerall = stateno < 1000 && prevstateno != 1600
trigger1 = (p2bodydist x <= 150) &&(prevstateno != 5120) && (p2movetype != H) && (statetype != A)
value = 1020

[State -1, Sword Trick Hard]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >= 3
triggerall = stateno != [8000,8050] ;auto combo
triggerall = Ctrl && (Statetype = S)
trigger1 = (p2bodydist x <= 100) &&(prevstateno != 5120) && (p2movetype != H) && (statetype != A)
trigger1 = (random >=(500)) && (random <(AILevel*8) + 500)
trigger2 = prevstateno = 1001 && p2movetype = H
trigger2 = var(22) = 0
value = 1120

[State -1, Throwing Star 1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >= 3
triggerall = stateno != [8000,8050] ;auto combo
triggerall = var(24) > 0
triggerall = NumProjID (1310) = 0
trigger1 = Ctrl && (Statetype = S) && (random = [500,510])
value = 1300

[State -1, Hyper TeamUp]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >=4
triggerall = stateno != [8000,8050] ;auto combo
triggerall = Ctrl && (Statetype = S)
triggerall = stateno < 1500
triggerall = power >= 1500
trigger1 = (prevstateno != 5120) && (random = [101,200])
value = 3000

[State -1, Hyper Shuriken]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >=4
triggerall = stateno != [8000,8050] ;auto combo
triggerall = Ctrl && (Statetype = S)
triggerall = stateno < 1500
triggerall = power >= 1500
triggerall = var(24) > 6
trigger1 = (prevstateno != 5120) && (random = [201,300])
value = 3100

[State -1, Hyper Turtle Van]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = AILevel >=4
triggerall = stateno != [8000,8050] ;auto combo
triggerall = Ctrl && (Statetype = S)
triggerall = stateno < 1500
triggerall = power >= 1500
trigger1 = (prevstateno != 5120) && (random = [301,400])
value = 3200


;---------------------------------------------------------------------------
;Commands
;---------------------------------------------------------------------------

;-----------------------------

[State -1, Dash Forward]
type = ChangeState
value = 100
triggerall = StateType = S
triggerall = Ctrl && (StateNo != 100)
trigger1 = Command = "FF"

;-----------------------------

[State -1, Jump Back]
type = ChangeState
value = 105
triggerall = StateType = S
triggerall = Ctrl && (StateNo != 100)
trigger1 = Command = "BB"

;-----------------------------

[State -1, s]
type = ChangeState
value = 195
triggerall = Command = "s"
triggerall = Command != "holddown"
triggerall = stateno != 100
trigger1 = (StateType = S) && Ctrl

;-----------------------------

[State -1, Hyper 3 - Sword Spin]
type = ChangeState
value = 3300
triggerall = command = "Hyper4"
triggerall = power >= 1000
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

;-----------------------------

[State -1, Hyper 3 - Turtle Van]
type = ChangeState
value = 3200
triggerall = command = "Hyper3"
triggerall = power >= 1000
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

;-----------------------------

[State -1, Hyper 2 - Air Shuriken]
type = ChangeState
value = 3100
triggerall = command = "Hyper2"
triggerall = var(24) > 0
triggerall = power >= 1000
triggerall = numhelper(3120) = 0 && numhelper(3110) = 0
trigger1 = Statetype = A && Ctrl
trigger2 = (StateType = A) && (HitdefAttr = A, NA) && (MoveContact)

;-----------------------------

[State -1, Hyper 2 - Ground Shuriken]
type = ChangeState
value = 3105
triggerall = command = "Hyper2"
triggerall = var(24) > 0
triggerall = power >= 1000 
triggerall = numhelper(3120) = 0 && numhelper(3110) = 0
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

;-----------------------------

[State -1, Hyper 1]
type = ChangeState
value = 3000
triggerall = command = "Hyper1"
triggerall = power >= 1000 
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA,SA) && (MoveContact)

;-----------------------------

[State -1, Katana Uppercut]
type = ChangeState
value = 1200
triggerall = stateno < 3000
triggerall = command = "DPx"
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

;-----------------------------

[State -1, Katana Slice]
type = ChangeState
value = 1000
triggerall = command = "QCBx"
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

[State -1, Katana Slice]
type = ChangeState
value = 1010
triggerall = command = "QCBy"
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

[State -1, Katana Slice]
type = ChangeState
value = 1020
triggerall = command = "QCBz"
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

;-----------------------------

[State -1, Sword Trick]
type = ChangeState
value = 1100
triggerall = command = "QCFx"
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

[State -1, Sword Trick]
type = ChangeState
value = 1110
triggerall = command = "QCFy"
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

[State -1, Sword Trick]
type = ChangeState
value = 1120
triggerall = command = "QCFz"
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

;-----------------------------

[State -1, Throwing Star 1]
type = ChangeState
value = 1300
triggerall = command = "QCFa"
triggerall = var(24) > 0
triggerall = NumProjID (1310) = 0
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

;-----------------------------

[State -1, Throwing Star 2]
type = ChangeState
value = 1310
triggerall = command = "QCFb"
triggerall = var(24) > 0
triggerall = NumProjID (1310) = 0
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

;-----------------------------

[State -1, Throwing Star 3]
type = ChangeState
value = 1320
triggerall = command = "QCFc"
triggerall = var(24) > 0
triggerall = NumProjID (1310) = 0
trigger1 = Statetype != A && Ctrl
trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

;-----------------------------

[State -1, Air Throwing Star 1]
type = ChangeState
value = 1305
triggerall = command = "QCFa"
triggerall = var(24) > 0
triggerall = NumProjID (1310) = 0
trigger1 = Statetype = A && Ctrl
trigger2 = (StateType = A) && (HitdefAttr = A, NA) && (MoveContact)

;-----------------------------

[State -1, Air Throwing Star 2]
type = ChangeState
value = 1315
triggerall = command = "QCFb"
triggerall = var(24) > 0
triggerall = NumProjID (1310) = 0
trigger1 = Statetype = A && Ctrl
trigger2 = (StateType = A) && (HitdefAttr = A, NA) && (MoveContact)

;-----------------------------

[State -1, Air Throwing Star 3]
type = ChangeState
value = 1325
triggerall = command = "QCFc"
triggerall = var(24) > 0
triggerall = NumProjID (1310) = 0
trigger1 = Statetype = A && Ctrl
trigger2 = (StateType = A) && (HitdefAttr = A, NA) && (MoveContact)

;---------------------------------------------------------------------------

[State -1, Throw P]
type = ChangeState
value = 800
triggerall = (command = "z")
triggerall = statetype = S
triggerall = Ctrl
triggerall = stateno != 100
triggerall = (P2StateType = S) || (P2StateType = C)
triggerall = P2MoveType != H
trigger1 = Command = "holdfwd"
trigger1 = P2BodyDist X < 20
trigger2 = Command = "holdback"
trigger2 = P2BodyDist X < 25

;---------------------------------------------------------------------------

[State -1, Air Throw P]
type = ChangeState
value = 830
triggerall = (command = "z")
triggerall = statetype = A
triggerall = Ctrl
triggerall = P2BodyDist Y = [-30,30]
triggerall = (P2StateType = A)
triggerall = P2MoveType != H
trigger1 = Command = "holdfwd"
trigger1 = P2BodyDist X < 20
trigger2 = Command = "holdback"
trigger2 = P2BodyDist X < 25

;-----------------------------
[State -1, X]
type = ChangeState
value = 200
triggerall = Command = "x"
triggerall = Command != "holddown"
trigger1 = (StateType = S) && Ctrl
trigger2 = ((anim = 1601)&&(var(14)<2)) || ((stateno = [1700,1720]) && (movecontact))

;-----------------------------
[State -1, Y]
type = ChangeState
value = 210
triggerall = Command = "y"
triggerall = Command != "holddown"
trigger1 = (StateType = S) && Ctrl
trigger2 = (StateNo = 200) && (Movecontact)
trigger3 = (StateNo = 230) && (Movecontact)
trigger4 = ((anim = 1601)&&(var(14)<2)) || ((stateno = [1700,1720]) && (movecontact)&&(var(15)<2))

;-----------------------------
[State -1, Z]
type = ChangeState
value = 220
triggerall = Command = "z"
triggerall = Command != "holddown"
trigger1 = (StateType = S) && Ctrl
trigger2 = (StateNo = 200) && (Movecontact)
trigger3 = (StateNo = 210) && (Movecontact)
trigger4 = (StateNo = 230) && (Movecontact)
trigger5 = (StateNo = 240) && (Movecontact)
trigger6 = (StateNo = 1200) && Movecontact
trigger7 = ((anim = 1601)&&(var(14)<2)) || ((stateno = [1700,1720]) && (movecontact)&&(var(15)<2))

;-----------------------------
[State -1, A]
type = ChangeState
value = 230
triggerall = Command = "a"
triggerall = Command != "holddown"
triggerall = stateno != 100
trigger1 = (StateType = S) && Ctrl
trigger2 = (Stateno = 200) && (Movecontact)
trigger3 = ((anim = 1601)&&(var(14)<2)) || ((stateno = [1700,1720]) && (movecontact)&&(var(15)<2))

;-----------------------------
[State -1, B]
type = ChangeState
value = 240
triggerall = Command = "b"
triggerall = Command != "holddown"
trigger1 = (StateType = S) && Ctrl
trigger2 = (StateNo = 200) && (Movecontact)
trigger3 = (StateNo = 210) && (Movecontact)
trigger4 = (StateNo = 230) && (Movecontact)
trigger5 = ((anim = 1601)&&(var(14)<2)) || ((stateno = [1700,1720]) && (movecontact)&&(var(15)<2))
 
;-----------------------------
[State -1, C]
type = ChangeState
value = 250
triggerall = Command = "c"
triggerall = Command != "holddown"
trigger1 = (StateType = S) && Ctrl
trigger2 = (StateNo = 200) && (Movecontact)
trigger3 = (StateNo = 210) && (Movecontact)
trigger4 = (StateNo = 230) && (Movecontact)
trigger5 = (StateNo = 240) && (Movecontact)
trigger6 = (StateNo = 1200) && Movecontact
trigger7 = ((anim = 1601)&&(var(14)<2)) || ((stateno = [1700,1720]) && (movecontact)&&(var(15)<2))

;-----------------------------
[State -1, X Crouch Light Punch]
type = ChangeState
value = 400
triggerall = Command = "x"
triggerall = Command = "holddown"
trigger1 = (StateType != A) && Ctrl
trigger2 = (StateNo = 200) && (Movecontact)
trigger3 = ((anim = 1601)&&(var(14)<2)) || ((stateno = [1700,1720]) && (movecontact)&&(var(15)<2))

;-----------------------------
[State -1, Y Crouch Medium Punch]
type = ChangeState
value = 410
triggerall = Command = "y"
triggerall = Command = "holddown"
trigger1 = (StateType != A) && Ctrl
trigger2 = (StateNo = 200) && (Movecontact)
trigger3 = (StateNo = 230) && (Movecontact)
trigger4 = (StateNo = 400) && (Movecontact)
trigger5 = (StateNo = 430) && (Movecontact)
trigger6 = (StateNo = 210) && (Movecontact)
trigger7 = ((anim = 1601)&&(var(14)<2)) || ((stateno = [1700,1720]) && (movecontact)&&(var(15)<2))

;----------------------------
[State -1, Z Launcher]
type = ChangeState
value = 420
triggerall = Command = "z"
triggerall = Command = "holddown"
trigger1 = (StateType != A) && Ctrl
trigger2 = (StateNo = 200) && (Movecontact)
trigger3 = (StateNo = 210) && (Movecontact)
trigger4 = (StateNo = 230) && (Movecontact)
trigger5 = (StateNo = 240) && (Movecontact)
trigger6 = (StateNo = 400) && (Movecontact)
trigger7 = (StateNo = 410) && (Movecontact)
trigger8 = (StateNo = 430) && (Movecontact)
trigger9 = (StateNo = 440) && (Movecontact)
trigger10 = (StateNo = [1200,1220]) && Movecontact
trigger11 = ((anim = 1601)&&(var(14)<2)) || ((stateno = [1700,1720]) && (movecontact)&&(var(15)<2))

;-----------------------------
[State -1, A Crouch Light Kick]
type = ChangeState
value = 430
triggerall = Command = "a"
triggerall = Command = "holddown"
trigger1 = (StateType != A) && Ctrl
trigger2 = (Stateno = 200) && (Movecontact)
trigger3 = (Stateno = 230) && (Movecontact)
trigger4 = (Stateno = 400) && (Movecontact)
trigger5 = ((anim = 1601)&&(var(14)<2)) || ((stateno = [1700,1720]) && (movecontact)&&(var(15)<2))

;-----------------------------
[State -1, B Crouch Medium Kick]
type = ChangeState
value = 440
triggerall = Command = "b"
triggerall = Command = "holddown"
trigger1 = (StateType != A) && Ctrl
trigger2 = (StateNo = 200) && (Movecontact)
trigger3 = (StateNo = 210) && (Movecontact)
trigger4 = (StateNo = 230) && (Movecontact)
trigger5 = (StateNo = 240) && (Movecontact)
trigger6 = (StateNo = 400) && (Movecontact)
trigger7 = (StateNo = 410) && (Movecontact)
trigger8 = (StateNo = 430) && (Movecontact)
trigger9 = ((anim = 1601)&&(var(14)<2)) || ((stateno = [1700,1720]) && (movecontact)&&(var(15)<2))

;-----------------------------
[State -1, C - Trip]
type = ChangeState
value = 450
triggerall = Command = "c"
triggerall = Command = "holddown"
trigger1 = (StateType != A) && Ctrl
trigger2 = (StateNo = 200) && (Movecontact)
trigger3 = (StateNo = 210) && (Movecontact)
trigger4 = (StateNo = 230) && (Movecontact)
trigger5 = (StateNo = 240) && (Movecontact)
trigger6 = (StateNo = 400) && (Movecontact)
trigger7 = (StateNo = 410) && (Movecontact)
trigger8 = (StateNo = 430) && (Movecontact)
trigger9 = (StateNo = 440) && (Movecontact)
trigger10 = (StateNo = 1200) && Movecontact
trigger11 = ((anim = 1601)&&(var(14)<2)) || ((stateno = [1700,1720]) && (movecontact)&&(var(15)<2))

;-----------------------------
[State -1, X]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = Statetype = A && Ctrl
trigger2 = stateno = 105 && time > 4
trigger3 = (stateno = [1750,1770]) && movecontact

;-----------------------------
[State -1, Y]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = Statetype = A && Ctrl
trigger2 = (StateNo = 600) && (Movecontact)
trigger3 = (StateNo = 630) && (Movecontact)
trigger4 = stateno = 105 && time > 4
trigger5 = (stateno = [1750,1770]) && movecontact

;-----------------------------
[State -1, Z]
type = ChangeState
value = 620
triggerall = command = "z"
trigger1 = Statetype = A && Ctrl
trigger2 = (StateNo = 600) && (Movecontact)
trigger3 = (StateNo = 610) && (Movecontact)
trigger4 = (StateNo = 630) && (Movecontact)
trigger5 = (StateNo = 640) && (Movecontact)
trigger6 = stateno = 105 && time > 4
trigger7 = (stateno = 1650 || stateno = [1750,1770]) && movecontact


;-----------------------------
[State -1, A]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = Statetype = A && Ctrl
trigger2 = (StateNo = 600) && (Movecontact)
trigger3 = stateno = 105 && time > 4
trigger4 = (stateno = [1750,1770]) && movecontact

;-----------------------------
[State -1, B]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = Statetype = A && Ctrl
trigger2 = (StateNo = 600) && (Movecontact)
trigger3 = (StateNo = 610) && (Movecontact)
trigger4 = (StateNo = 630) && (Movecontact)
trigger5 = stateno = 105 && time > 4
trigger6 = (stateno = [1750,1770]) && movecontact

;-----------------------------
[State -1, C]
type = ChangeState
value = 650
triggerall = command = "c"
trigger1 = Statetype = A && Ctrl
trigger2 = (StateNo = 600) && (Movecontact)
trigger3 = (StateNo = 610) && (Movecontact)
trigger4 = (StateNo = 620) && (Movecontact)
trigger5 = (StateNo = 630) && (Movecontact)
trigger6 = (StateNo = 640) && (Movecontact)
trigger7 = stateno = 105 && time > 4
trigger8 = (stateno = 1650 || stateno = [1750,1770]) && movecontact

;------------------------------------------------------------------------
[State -1, Super Jump]
type = ChangeState
value = 7000
triggerall = Command = "SJ"
trigger1 = StateType = S
trigger1 = Ctrl

;-----------------------------
[State -1, Super Jump]
type = ChangeState
value = 7000
triggerall = Command = "holdup"
trigger1 = stateno = 420 && movehit

[State -1, Guard Push stand]
type = ChangeState
value = 6300
triggerall = command = "guardpush" && statetype = S
trigger1 = stateno = [150,153]

[State -1, Guard Push crouch]
type = ChangeState
value = 6310
triggerall = command = "guardpush" && statetype = C
trigger1 = stateno = [150,153]

;---------------------------------------------------------------------------
;------------------------ Lie Down Recovery Roll ---------------------------
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
; Lie Down Forward Recovery Roll
[State -1]
type = ChangeState
value = 850
triggerall = Var(59) = 0
triggerall = command = "holdfwd"
triggerall = time = 1
triggerall = life > 0
trigger1 = stateno = 5120
trigger1 = alive = 1


;---------------------------------------------------------------------------
; Lie Down Backward Recovery Roll
[State -1]
type = ChangeState
value = 855
triggerall = Var(59) = 0
triggerall = command = "holdback"
triggerall = time = 1
triggerall = life > 0
trigger1 = stateno = 5120
trigger1 = alive = 1

